/*
 * regsystem.cpp
 *
 * This file contains the entry point for the registrar's database system.
 * All the heavy lifting takes place elsewhere; the database functionality
 * is provided by the Registrar_DB, Course, and Student classes, and user
 * interaction is handled by the RegDB_Manager class.
 */

#include "regdb.hpp"
#include "dbmanager.hpp"

/*
 * Parameters of the implementation
 */
const int MAX_STUDENTS = 128;           // Limit on students enrolled in school
const int MAX_COURSES = 20;             // Limit on number of courses offered

int main(int, char*[])
{
    /*
     * Create the database.
     */
    Registrar_DB roster(MAX_STUDENTS, MAX_COURSES);

    /*
     * Let somebody else do the hard work.
     */
    RegDB_Manager interface(roster);
    interface.interact();
    return 0;
}


/* Junk to make emacs use the right C++ style when editing this code:
 *   Local Variables:
 *   c-file-style: "stroustrup"
 *   End:
 */
